<?php

namespace Tygh\Addons\SwBifitOnline;

use Tygh\Addons\SwBifitOnline\Logs;
use Tygh\Addons\SwBifitOnline\Client;
use Tygh\Addons\SwBifitOnline\CheckContent;
use Tygh\Http;
use Exception;

/**
 * Bifit Processing
 */
class Processing
{
    
    protected $token;
    protected $addon;
    
    public function __construct($token, $addon_settings)
    {
        $this->token = $token;
        $this->addon = $addon_settings;
    }
    
    public function send($check_data, $order){
        
        $token_data = $this->token;
        $addon = $this->addon;
        
        $client = new Client();
        
        $send_data = $client->sendCheck($check_data, $order, $token_data);
        
        return $send_data;
    }
}